/*******************************************************************************
 * Copyright 2013 butor.com
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.butor.json;

import org.butor.utils.Message;

public class JsonResponseMessage {
	private String _reqId;
	private Message _message;
	final private  String _type =  Constants.RESPONSE_MESSAGE_CHUNK; 
	public JsonResponseMessage() {
	}
	public JsonResponseMessage(String reqId_) {
		_reqId = reqId_;
	}
	public Message getMessage() {
		return _message;
	}
	public void setMessage(Message message_) {
		_message = message_;
	}
	public String getReqId() {
		return _reqId;
	}
	public void setReqId(String reqId_) {
		_reqId = reqId_;
	}
	public String getType() {
		return _type;
	}

}
